%define pypi_name cert-manager
%define srcname cert_manager

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 1
Summary:        Python interface to the Sectigo Certificate Manager REST API
Group:          Development/Python
License:        BSD
URL:            https://pypi.org/project/cert-manager
Source0:        %{pypi_source}
BuildArch:      noarch

%description
This library provides a Python interface to the Sectigo Certificate Manager
REST API. python-cert_manager is open sourced under the BSD 3-Clause license

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Group:          Development/Python
BuildArch:      noarch
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(responses)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(testtools)

%description -n python3-%{pypi_name}
This library provides a Python interface to the Sectigo Certificate Manager
REST API. python-cert_manager is open sourced under the BSD 3-Clause license

%prep
%setup -q -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/tests

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%{python3_sitelib}/cert_manager
%{python3_sitelib}/cert_manager-%{version}-*.egg-info


%changelog
* Sat Jan 16 2021 guillomovitch <guillomovitch> 1.0.0-1.mga8
+ Revision: 1671999
- imported package python-cert-manager

